## class fltk::RepeatButton

### Class Hierarchy

    fltk::Button
       |
       +----fltk::RepeatButton

### Include Files

    #include <fltk/RepeatButton.h>

### Description

The `fltk::RepeatButton` is a subclass of `fltk::Button` that generates a callback when it is pressed and then repeatedly generates callbacks as long as it is held down. The speed of the repeat is fixed and depends on the implementation.

### Methods

- fltk::RepeatButton
- ~RepeatButton

#### fltk::RepeatButton::RepeatButton(int x, int y, int w, int h, const char *label = 0)

Creates a new `fltk::RepeatButton` widget using the given position, size, and label string. The default boxtype is `fltk::UP_BOX` .

#### virtual fltk::RepeatButton::~RepeatButton()

Deletes the button.